package de.heinerkuecker.heterogeneous_map._1_simple;

/**
 * Gegenber dem Wert typsicherer Schlssel,
 * kein Verhalten (keine Methode),
 * nur Container fr Typ-Parameter.
 * < br />
 * Die implementierende Klasse sollte
 * final sein (TODO Begrndung)
 * und eine Member fr den Schlssel-Wert
 * besitzen.
 * < br />
 * Weiter mssen die Methoden
 * {@link Object#hashCode} und
 * {@link Object#equals} sowie eventuell
 * {@link Comparable#compareTo}
 * korrekt implementiert werden.
 *
 * @param <V> Type-Parameter, Wert-Typ
 * @author Heiner K&uuml;cker
 */
public interface HMapKey<V>
{
	// intentional no implementation
}
