package de.heinerkuecker.heterogeneous_map._2_constrained_key.convenience_keys;

import java.math.BigDecimal;

import de.heinerkuecker.heterogeneous_map._1_simple.HMapKey;
import de.heinerkuecker.heterogeneous_map._2_constrained_key.ConstrainedKeyHMapKey;
import de.heinerkuecker.heterogeneous_map._2_constrained_key.ConstrainedKeyHeterogeneousMap;

/**
 * Vorgefertigtes {@link HMapKey}-Interface
 * fr {@link BigDecimal}-Werte.
 *
 * @param <M> Type-Parameter, Map-Typ
 * @author Heiner K&uuml;cker
 */
public interface BigDecimalValueConstrainedKeyHMapKey<M extends ConstrainedKeyHeterogeneousMap<M>>
extends ConstrainedKeyHMapKey<M, BigDecimal>
{
	// intentional no implementation
}
