package de.heinerkuecker.heterogeneous_map._2_constrained_key.convenience_keys;

import de.heinerkuecker.heterogeneous_map._2_constrained_key.ConstrainedKeyHMapKey;
import de.heinerkuecker.heterogeneous_map._2_constrained_key.ConstrainedKeyHeterogeneousMap;

/**
 * Vorgefertigtes {@link ConstrainedKeyHMapKey}-Interface
 * fr {@link Boolean}-Werte.
 *
 * @param <M> Type-Parameter, Map-Typ
 * @author Heiner K&uuml;cker
 */
public interface BooleanValueConstrainedKeyHMapKey<M extends ConstrainedKeyHeterogeneousMap<M>>
extends ConstrainedKeyHMapKey<M, Boolean>
{
	// intentional no implementation
}
