package de.heinerkuecker.heterogeneous_map._2_constrained_key;


/**
 * Gegenber dem Wert typsicherer Schlssel,
 * kein Verhalten (keine Methode),
 * nur Container fr Typ-Parameter.
 * < br />
 * Die implementierende Klasse sollte
 * final sein (TODO Begrndung)
 * und eine Member fr den Schlssel-Wert
 * besitzen.
 * < br />
 * Weiter mssen die Methoden
 * {@link Object#hashCode} und
 * {@link Object#equals} sowie eventuell
 * {@link Comparable#compareTo}
 * korrekt implementiert werden.
 *
 * @param <M> Type-Parameter, Map-Typ
 * @param <V> Type-Parameter, Wert-Typ
 * @author Heiner K&uuml;cker
 */
public interface ConstrainedKeyHMapKey<M extends ConstrainedKeyHeterogeneousMap<M>, V>
{
	// intentional no implementation
}
